#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f1)
%define		_cups_serverbin	%{_libdir}/cups/

#-----------------------------------------------------------------------------
Name		:	cups-filters
Version		:	2.0.1
Release		:	17.2.0.rel%{?dist}
Summary		:	CUPS collection of filters for various printer drivers
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://github.com/OpenPrinting/cups-filters/releases

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cups-devel
BuildRequires	:	dbus-devel
BuildRequires	:	dejavu-fonts
BuildRequires	:	glib-devel
BuildRequires	:	cups-devel
BuildRequires	:	ghostscript
BuildRequires	:	lcms2
BuildRequires	:	libcupsfilters-devel
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libpng-devel
BuildRequires	:	libppd-devel
BuildRequires	:	libtiff
BuildRequires	:	poppler
BuildRequires	:	qpdf-devel

Requires	:	cups
Requires	:	ghostscript
Requires	:	hplip
#-----------------------------------------------------------------------------
%description
The CUPS Filters package contains backends, filters and other
software that was once part of the core CUPS distribution but
is no longer maintained by Apple Inc. 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS ABOUT-NLS CHANGES.md CONTRIBUTING.md DEVELOPING.md README.md
%license COPYING LICENSE NOTICE
%{_bindir}/driverless
%{_bindir}/driverless-fax
%{_bindir}/foomatic-rip
%attr(0744,root,root) %{_cups_serverbin}/backend/beh
%attr(0744,root,root) %{_cups_serverbin}/backend/parallel
%attr(0744,root,root) %{_cups_serverbin}/backend/serial
%attr(0755,root,root) %{_cups_serverbin}/filter/bannertopdf
%attr(0755,root,root) %{_cups_serverbin}/filter/commandtoescpx
%attr(0755,root,root) %{_cups_serverbin}/filter/commandtopclx
%attr(0755,root,root) %{_cups_serverbin}/filter/foomatic-rip
%attr(0755,root,root) %{_cups_serverbin}/filter/gstopdf
%attr(0755,root,root) %{_cups_serverbin}/filter/gstopxl
%attr(0755,root,root) %{_cups_serverbin}/filter/gstoraster
%attr(0755,root,root) %{_cups_serverbin}/filter/imagetopdf
%attr(0755,root,root) %{_cups_serverbin}/filter/imagetops
%attr(0755,root,root) %{_cups_serverbin}/filter/imagetoraster
%attr(0755,root,root) %{_cups_serverbin}/filter/pclmtoraster
%attr(0755,root,root) %{_cups_serverbin}/filter/pdftopdf
%attr(0755,root,root) %{_cups_serverbin}/filter/pdftops
%attr(0755,root,root) %{_cups_serverbin}/filter/pdftoraster
%attr(0755,root,root) %{_cups_serverbin}/filter/pwgtopclm
%attr(0755,root,root) %{_cups_serverbin}/filter/pwgtopdf
%attr(0755,root,root) %{_cups_serverbin}/filter/pwgtoraster
%attr(0755,root,root) %{_cups_serverbin}/filter/rastertoescpx
%attr(0755,root,root) %{_cups_serverbin}/filter/rastertopclx
%attr(0755,root,root) %{_cups_serverbin}/filter/rastertops
%attr(0755,root,root) %{_cups_serverbin}/filter/texttopdf
%attr(0755,root,root) %{_cups_serverbin}/filter/texttops
%attr(0755,root,root) %{_cups_serverbin}/filter/texttotext
%attr(0755,root,root) %{_cups_serverbin}/filter/universal

%{_cups_serverbin}/backend/driverless
%{_cups_serverbin}/backend/driverless-fax
%{_cups_serverbin}/driver/driverless
%{_cups_serverbin}/driver/driverless-fax

%{_datadir}/cups/drv/cupsfilters.drv
%{_datadir}/cups/mime/cupsfilters.types
%{_datadir}/cups/mime/cupsfilters.convs
%{_datadir}/cups/mime/cupsfilters-universal-postscript.convs
%{_datadir}/cups/mime/cupsfilters-universal.convs
%{_datadir}/ppd/cupsfilters/*.ppd

%{_datadir}/ppdc/escp.h
%{_datadir}/ppdc/pcl.h

%{_mandir}/man1/foomatic-rip.1.gz
%{_mandir}/man1/driverless.1.gz
 

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--without-rcdir 				\
	--enable-avahi 					\
	--enable-dbus 					\
	--enable-popler 				\
	--disable-mutool 				\
	--disable-static 				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check

%{__make}						\
	check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

 
# remove license files which are in %%pkgdocdir
rm -f %{buildroot}%{_defaultdocdir}/%{name}-%{version}/{COPYING,NOTICE,LICENSE}
 
# remove INSTALL since it is unnecessary
rm -f %{buildroot}%{_defaultdocdir}/%{name}-%{version}/INSTALL
 
# remove CHANGES-1.x.md, since it is carried by a dependency
rm -f %{buildroot}%{_defaultdocdir}/%{name}-%{version}/CHANGES-1.x.md

#-----------------------------------------------------------------------------
%changelog

